source: squid-ssl/trunk/fuentes/helpers/digest_auth/LDAP/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 41.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = digest_ldap_auth$(EXEEXT)
95subdir = helpers/digest_auth/LDAP
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_digest_ldap_auth_OBJECTS = digest_pw_auth.$(OBJEXT) \
165        ldap_backend.$(OBJEXT)
166digest_ldap_auth_OBJECTS = $(am_digest_ldap_auth_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171digest_ldap_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
176AM_V_lt = $(am__v_lt_@AM_V@)
177am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
178am__v_lt_0 = --silent
179am__v_lt_1 =
180AM_V_P = $(am__v_P_@AM_V@)
181am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
182am__v_P_0 = false
183am__v_P_1 = :
184AM_V_GEN = $(am__v_GEN_@AM_V@)
185am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
186am__v_GEN_0 = @echo "  GEN     " $@;
187am__v_GEN_1 =
188AM_V_at = $(am__v_at_@AM_V@)
189am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
190am__v_at_0 = @
191am__v_at_1 =
192DEFAULT_INCLUDES =
193depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
194am__depfiles_maybe = depfiles
195am__mv = mv -f
196CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
197        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
198LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
200        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
201        $(AM_CXXFLAGS) $(CXXFLAGS)
202AM_V_CXX = $(am__v_CXX_@AM_V@)
203am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
204am__v_CXX_0 = @echo "  CXX     " $@;
205am__v_CXX_1 =
206CXXLD = $(CXX)
207CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
209        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
210AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
211am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
212am__v_CXXLD_0 = @echo "  CXXLD   " $@;
213am__v_CXXLD_1 =
214COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CFLAGS) $(CFLAGS)
220AM_V_CC = $(am__v_CC_@AM_V@)
221am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
222am__v_CC_0 = @echo "  CC      " $@;
223am__v_CC_1 =
224CCLD = $(CC)
225LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227        $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CCLD = $(am__v_CCLD_@AM_V@)
229am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
230am__v_CCLD_0 = @echo "  CCLD    " $@;
231am__v_CCLD_1 =
232SOURCES = $(digest_ldap_auth_SOURCES)
233DIST_SOURCES = $(digest_ldap_auth_SOURCES)
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red='[0;31m'; \
272    grn='[0;32m'; \
273    lgn='[1;32m'; \
274    blu='[1;34m'; \
275    mgn='[0;35m'; \
276    brg='[1m'; \
277    std='[m'; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[     ]*:recheck:[    ]*
308am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
309am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320            recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[        ]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);                                      \
404$(am__vpath_adj_setup) $(am__vpath_adj)                 \
405$(am__tty_colors);                                      \
406srcdir=$(srcdir); export srcdir;                        \
407case "$@" in                                            \
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
409    *) am__odir=.;;                                     \
410esac;                                                   \
411test "x$$am__odir" = x"." || test -d "$$am__odir"       \
412  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
413if test -f "./$$f"; then dir=./;                        \
414elif test -f "$$f"; then dir=;                          \
415else dir="$(srcdir)/"; fi;                              \
416tst=$$dir$$f; log='$@';                                 \
417if test -n '$(DISABLE_HARD_ERRORS)'; then               \
418  am__enable_hard_errors=no;                            \
419else                                                    \
420  am__enable_hard_errors=yes;                           \
421fi;                                                     \
422case " $(XFAIL_TESTS) " in                              \
423  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
424    am__expect_failure=yes;;                            \
425  *)                                                    \
426    am__expect_failure=no;;                             \
427esac;                                                   \
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443TEST_EXTENSIONS = @EXEEXT@ .test
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__set_b = \
451  case '$@' in \
452    */*) \
453      case '$*' in \
454        */*) b='$*';; \
455          *) b=`echo '$@' | sed 's/\.log$$//'`; \
456       esac;; \
457    *) \
458      b='$*';; \
459  esac
460am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
461        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
462DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
463ACLOCAL = @ACLOCAL@
464ADAPTATION_LIBS = @ADAPTATION_LIBS@
465ALLOCA = @ALLOCA@
466AMTAR = @AMTAR@
467AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
468AR = @AR@
469AR_R = @AR_R@
470AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
471AUTH_MODULES = @AUTH_MODULES@
472AUTOCONF = @AUTOCONF@
473AUTOHEADER = @AUTOHEADER@
474AUTOMAKE = @AUTOMAKE@
475AWK = @AWK@
476BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
477BUILDCXX = @BUILDCXX@
478BUILDCXXFLAGS = @BUILDCXXFLAGS@
479BZR = @BZR@
480CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
481CC = @CC@
482CCDEPMODE = @CCDEPMODE@
483CFLAGS = @CFLAGS@
484CGIEXT = @CGIEXT@
485CHMOD = @CHMOD@
486CPP = @CPP@
487CPPFLAGS = @CPPFLAGS@
488CPPUNITCONFIG = @CPPUNITCONFIG@
489CRYPTLIB = @CRYPTLIB@
490CXX = @CXX@
491CXXCPP = @CXXCPP@
492CXXDEPMODE = @CXXDEPMODE@
493CXXFLAGS = @CXXFLAGS@
494CYGPATH_W = @CYGPATH_W@
495DEFAULT_HOSTS = @DEFAULT_HOSTS@
496DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
497DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
498DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
499DEFS = @DEFS@
500DEPDIR = @DEPDIR@
501DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
502DISK_LIBS = @DISK_LIBS@
503DISK_LINKOBJS = @DISK_LINKOBJS@
504DISK_MODULES = @DISK_MODULES@
505DISK_OS_LIBS = @DISK_OS_LIBS@
506DISK_PROGRAMS = @DISK_PROGRAMS@
507DLLTOOL = @DLLTOOL@
508DSYMUTIL = @DSYMUTIL@
509DUMPBIN = @DUMPBIN@
510ECAP_LIBS = @ECAP_LIBS@
511ECHO_C = @ECHO_C@
512ECHO_N = @ECHO_N@
513ECHO_T = @ECHO_T@
514EGREP = @EGREP@
515EPOLL_LIBS = @EPOLL_LIBS@
516EUILIB = @EUILIB@
517EXEEXT = @EXEEXT@
518EXPATLIB = @EXPATLIB@
519EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
520EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
521EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
522FALSE = @FALSE@
523FGREP = @FGREP@
524GREP = @GREP@
525HAVE_CXX11 = @HAVE_CXX11@
526ICAP_LIBS = @ICAP_LIBS@
527INCLTDL = @INCLTDL@
528INSTALL = @INSTALL@
529INSTALL_DATA = @INSTALL_DATA@
530INSTALL_PROGRAM = @INSTALL_PROGRAM@
531INSTALL_SCRIPT = @INSTALL_SCRIPT@
532INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
533KRB5INCS = @KRB5INCS@
534KRB5LIBS = @KRB5LIBS@
535LBERLIB = @LBERLIB@
536LD = @LD@
537LDAPLIB = @LDAPLIB@
538LDFLAGS = @LDFLAGS@
539LIBADD_DL = @LIBADD_DL@
540LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
541LIBADD_DLOPEN = @LIBADD_DLOPEN@
542LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
543LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
544LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
545LIBLTDL = @LIBLTDL@
546LIBOBJS = @LIBOBJS@
547LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
548LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
549LIBS = @LIBS@
550LIBSASL = @LIBSASL@
551LIBTOOL = @LIBTOOL@
552LIB_DB = @LIB_DB@
553LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
554LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
555LINUXDOC = @LINUXDOC@
556LIPO = @LIPO@
557LN = @LN@
558LN_S = @LN_S@
559LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
560LTDLDEPS = @LTDLDEPS@
561LTDLINCL = @LTDLINCL@
562LTDLOPEN = @LTDLOPEN@
563LTLIBOBJS = @LTLIBOBJS@
564LT_ARGZ_H = @LT_ARGZ_H@
565LT_CONFIG_H = @LT_CONFIG_H@
566LT_DLLOADERS = @LT_DLLOADERS@
567LT_DLPREOPEN = @LT_DLPREOPEN@
568LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
569MAINT = @MAINT@
570MAKEINFO = @MAKEINFO@
571MANIFEST_TOOL = @MANIFEST_TOOL@
572MINGW_LIBS = @MINGW_LIBS@
573MKDIR = @MKDIR@
574MKDIR_P = @MKDIR_P@
575MV = @MV@
576NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
577NETTLELIB = @NETTLELIB@
578NM = @NM@
579NMEDIT = @NMEDIT@
580NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
581OBJDUMP = @OBJDUMP@
582OBJEXT = @OBJEXT@
583OTOOL = @OTOOL@
584OTOOL64 = @OTOOL64@
585PACKAGE = @PACKAGE@
586PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
587PACKAGE_NAME = @PACKAGE_NAME@
588PACKAGE_STRING = @PACKAGE_STRING@
589PACKAGE_TARNAME = @PACKAGE_TARNAME@
590PACKAGE_URL = @PACKAGE_URL@
591PACKAGE_VERSION = @PACKAGE_VERSION@
592PATH_SEPARATOR = @PATH_SEPARATOR@
593PERL = @PERL@
594PKG_CONFIG = @PKG_CONFIG@
595PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
596PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
597PO2HTML = @PO2HTML@
598PO2TEXT = @PO2TEXT@
599POD2MAN = @POD2MAN@
600RANLIB = @RANLIB@
601REGEXLIB = @REGEXLIB@
602REPL_LIBS = @REPL_LIBS@
603REPL_OBJS = @REPL_OBJS@
604REPL_POLICIES = @REPL_POLICIES@
605RM = @RM@
606SED = @SED@
607SET_MAKE = @SET_MAKE@
608SH = @SH@
609SHELL = @SHELL@
610SMBCLIENT = @SMBCLIENT@
611SNMPLIB = @SNMPLIB@
612SQUID_CFLAGS = @SQUID_CFLAGS@
613SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
614SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
615SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
616SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
617SSLLIB = @SSLLIB@
618STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
619STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
620STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
621STORE_TESTS = @STORE_TESTS@
622STRIP = @STRIP@
623TR = @TR@
624TRUE = @TRUE@
625URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
626VERSION = @VERSION@
627WBINFO = @WBINFO@
628WIN32_PSAPI = @WIN32_PSAPI@
629XMLLIB = @XMLLIB@
630XTRA_LIBS = @XTRA_LIBS@
631XTRA_OBJS = @XTRA_OBJS@
632abs_builddir = @abs_builddir@
633abs_srcdir = @abs_srcdir@
634abs_top_builddir = @abs_top_builddir@
635abs_top_srcdir = @abs_top_srcdir@
636ac_ct_AR = @ac_ct_AR@
637ac_ct_CC = @ac_ct_CC@
638ac_ct_CXX = @ac_ct_CXX@
639ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
640am__include = @am__include@
641am__leading_dot = @am__leading_dot@
642am__quote = @am__quote@
643am__tar = @am__tar@
644am__untar = @am__untar@
645bindir = @bindir@
646build = @build@
647build_alias = @build_alias@
648build_cpu = @build_cpu@
649build_os = @build_os@
650build_vendor = @build_vendor@
651builddir = @builddir@
652datadir = @datadir@
653datarootdir = @datarootdir@
654docdir = @docdir@
655dvidir = @dvidir@
656exec_prefix = @exec_prefix@
657host = @host@
658host_alias = @host_alias@
659host_cpu = @host_cpu@
660host_os = @host_os@
661host_vendor = @host_vendor@
662htmldir = @htmldir@
663includedir = @includedir@
664infodir = @infodir@
665install_sh = @install_sh@
666krb5_config = @krb5_config@
667libdir = @libdir@
668libexecdir = @libexecdir@
669localedir = @localedir@
670localstatedir = @localstatedir@
671ltdl_LIBOBJS = @ltdl_LIBOBJS@
672ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
673mandir = @mandir@
674mkdir_p = @mkdir_p@
675oldincludedir = @oldincludedir@
676pdfdir = @pdfdir@
677prefix = @prefix@
678program_transform_name = @program_transform_name@
679psdir = @psdir@
680runstatedir = @runstatedir@
681sbindir = @sbindir@
682sharedstatedir = @sharedstatedir@
683srcdir = @srcdir@
684subdirs = @subdirs@
685sys_symbol_underscore = @sys_symbol_underscore@
686sysconfdir = @sysconfdir@
687target_alias = @target_alias@
688top_build_prefix = @top_build_prefix@
689top_builddir = @top_builddir@
690top_srcdir = @top_srcdir@
691AM_CFLAGS = $(SQUID_CFLAGS)
692AM_CXXFLAGS = $(SQUID_CXXFLAGS)
693CLEANFILES =
694AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
695        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
696        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
697        $(am__append_1) -I$(srcdir)
698@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
699@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
700COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
701subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
702digest_ldap_auth_SOURCES = digest_pw_auth.cc \
703        digest_common.h \
704        ldap_backend.cc \
705        ldap_backend.h
706
707digest_ldap_auth_LDADD = \
708        $(top_builddir)/lib/libmiscencoding.la \
709        $(COMPAT_LIB) \
710        $(LDAPLIB) \
711        $(LBERLIB) \
712        $(NETTLELIB) \
713        $(CRYPTLIB) \
714        $(SSLLIB) \
715        $(XTRA_LIBS)
716
717EXTRA_DIST = required.m4
718all: all-am
719
720.SUFFIXES:
721.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
722$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
723        @for dep in $?; do \
724          case '$(am__configure_deps)' in \
725            *$$dep*) \
726              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
727                && { if test -f $@; then exit 0; else break; fi; }; \
728              exit 1;; \
729          esac; \
730        done; \
731        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/digest_auth/LDAP/Makefile'; \
732        $(am__cd) $(top_srcdir) && \
733          $(AUTOMAKE) --gnu helpers/digest_auth/LDAP/Makefile
734Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
735        @case '$?' in \
736          *config.status*) \
737            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
738          *) \
739            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
740            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
741        esac;
742$(top_srcdir)/src/Common.am $(am__empty):
743
744$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
745        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
746
747$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
748        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
750        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(am__aclocal_m4_deps):
752
753clean-checkPROGRAMS:
754        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
755        echo " rm -f" $$list; \
756        rm -f $$list || exit $$?; \
757        test -n "$(EXEEXT)" || exit 0; \
758        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
759        echo " rm -f" $$list; \
760        rm -f $$list
761install-libexecPROGRAMS: $(libexec_PROGRAMS)
762        @$(NORMAL_INSTALL)
763        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
764        if test -n "$$list"; then \
765          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
766          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
767        fi; \
768        for p in $$list; do echo "$$p $$p"; done | \
769        sed 's/$(EXEEXT)$$//' | \
770        while read p p1; do if test -f $$p \
771         || test -f $$p1 \
772          ; then echo "$$p"; echo "$$p"; else :; fi; \
773        done | \
774        sed -e 'p;s,.*/,,;n;h' \
775            -e 's|.*|.|' \
776            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
777        sed 'N;N;N;s,\n, ,g' | \
778        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
779          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
780            if ($$2 == $$4) files[d] = files[d] " " $$1; \
781            else { print "f", $$3 "/" $$4, $$1; } } \
782          END { for (d in files) print "f", d, files[d] }' | \
783        while read type dir files; do \
784            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
785            test -z "$$files" || { \
786            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
787            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
788            } \
789        ; done
790
791uninstall-libexecPROGRAMS:
792        @$(NORMAL_UNINSTALL)
793        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
794        files=`for p in $$list; do echo "$$p"; done | \
795          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
796              -e 's/$$/$(EXEEXT)/' \
797        `; \
798        test -n "$$list" || exit 0; \
799        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
800        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
801
802clean-libexecPROGRAMS:
803        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
804        echo " rm -f" $$list; \
805        rm -f $$list || exit $$?; \
806        test -n "$(EXEEXT)" || exit 0; \
807        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
808        echo " rm -f" $$list; \
809        rm -f $$list
810
811digest_ldap_auth$(EXEEXT): $(digest_ldap_auth_OBJECTS) $(digest_ldap_auth_DEPENDENCIES) $(EXTRA_digest_ldap_auth_DEPENDENCIES)
812        @rm -f digest_ldap_auth$(EXEEXT)
813        $(AM_V_CXXLD)$(CXXLINK) $(digest_ldap_auth_OBJECTS) $(digest_ldap_auth_LDADD) $(LIBS)
814
815mostlyclean-compile:
816        -rm -f *.$(OBJEXT)
817
818distclean-compile:
819        -rm -f *.tab.c
820
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/digest_pw_auth.Po@am__quote@
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldap_backend.Po@am__quote@
823
824.cc.o:
825@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
826@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
827@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
828@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
829@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
830@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
831
832.cc.obj:
833@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
834@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
835@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
836@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
837@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
839
840.cc.lo:
841@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
842@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
843@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
845@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
847
848mostlyclean-libtool:
849        -rm -f *.lo
850
851clean-libtool:
852        -rm -rf .libs _libs
853
854ID: $(am__tagged_files)
855        $(am__define_uniq_tagged_files); mkid -fID $$unique
856tags: tags-am
857TAGS: tags
858
859tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
860        set x; \
861        here=`pwd`; \
862        $(am__define_uniq_tagged_files); \
863        shift; \
864        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
865          test -n "$$unique" || unique=$$empty_fix; \
866          if test $$# -gt 0; then \
867            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
868              "$$@" $$unique; \
869          else \
870            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871              $$unique; \
872          fi; \
873        fi
874ctags: ctags-am
875
876CTAGS: ctags
877ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878        $(am__define_uniq_tagged_files); \
879        test -z "$(CTAGS_ARGS)$$unique" \
880          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
881             $$unique
882
883GTAGS:
884        here=`$(am__cd) $(top_builddir) && pwd` \
885          && $(am__cd) $(top_srcdir) \
886          && gtags -i $(GTAGS_ARGS) "$$here"
887cscopelist: cscopelist-am
888
889cscopelist-am: $(am__tagged_files)
890        list='$(am__tagged_files)'; \
891        case "$(srcdir)" in \
892          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
893          *) sdir=$(subdir)/$(srcdir) ;; \
894        esac; \
895        for i in $$list; do \
896          if test -f "$$i"; then \
897            echo "$(subdir)/$$i"; \
898          else \
899            echo "$$sdir/$$i"; \
900          fi; \
901        done >> $(top_builddir)/cscope.files
902
903distclean-tags:
904        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
905
906# Recover from deleted '.trs' file; this should ensure that
907# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
908# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
909# to avoid problems with "make -n".
910.log.trs:
911        rm -f $< $@
912        $(MAKE) $(AM_MAKEFLAGS) $<
913
914# Leading 'am--fnord' is there to ensure the list of targets does not
915# expand to empty, as could happen e.g. with make check TESTS=''.
916am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
917am--force-recheck:
918        @:
919
920$(TEST_SUITE_LOG): $(TEST_LOGS)
921        @$(am__set_TESTS_bases); \
922        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
923        redo_bases=`for i in $$bases; do \
924                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
925                    done`; \
926        if test -n "$$redo_bases"; then \
927          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
928          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
929          if $(am__make_dryrun); then :; else \
930            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
931          fi; \
932        fi; \
933        if test -n "$$am__remaking_logs"; then \
934          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
935               "recursion detected" >&2; \
936        elif test -n "$$redo_logs"; then \
937          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
938        fi; \
939        if $(am__make_dryrun); then :; else \
940          st=0;  \
941          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
942          for i in $$redo_bases; do \
943            test -f $$i.trs && test -r $$i.trs \
944              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
945            test -f $$i.log && test -r $$i.log \
946              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
947          done; \
948          test $$st -eq 0 || exit 1; \
949        fi
950        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
951        ws='[   ]'; \
952        results=`for b in $$bases; do echo $$b.trs; done`; \
953        test -n "$$results" || results=/dev/null; \
954        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
955        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
956        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
957        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
958        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
959        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
960        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
961        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
962          success=true; \
963        else \
964          success=false; \
965        fi; \
966        br='==================='; br=$$br$$br$$br$$br; \
967        result_count () \
968        { \
969            if test x"$$1" = x"--maybe-color"; then \
970              maybe_colorize=yes; \
971            elif test x"$$1" = x"--no-color"; then \
972              maybe_colorize=no; \
973            else \
974              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
975            fi; \
976            shift; \
977            desc=$$1 count=$$2; \
978            if test $$maybe_colorize = yes && test $$count -gt 0; then \
979              color_start=$$3 color_end=$$std; \
980            else \
981              color_start= color_end=; \
982            fi; \
983            echo "$${color_start}# $$desc $$count$${color_end}"; \
984        }; \
985        create_testsuite_report () \
986        { \
987          result_count $$1 "TOTAL:" $$all   "$$brg"; \
988          result_count $$1 "PASS: " $$pass  "$$grn"; \
989          result_count $$1 "SKIP: " $$skip  "$$blu"; \
990          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
991          result_count $$1 "FAIL: " $$fail  "$$red"; \
992          result_count $$1 "XPASS:" $$xpass "$$red"; \
993          result_count $$1 "ERROR:" $$error "$$mgn"; \
994        }; \
995        {                                                               \
996          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
997            $(am__rst_title);                                           \
998          create_testsuite_report --no-color;                           \
999          echo;                                                         \
1000          echo ".. contents:: :depth: 2";                               \
1001          echo;                                                         \
1002          for b in $$bases; do echo $$b; done                           \
1003            | $(am__create_global_log);                                 \
1004        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1005        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1006        if $$success; then                                              \
1007          col="$$grn";                                                  \
1008         else                                                           \
1009          col="$$red";                                                  \
1010          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1011        fi;                                                             \
1012        echo "$${col}$$br$${std}";                                      \
1013        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1014        echo "$${col}$$br$${std}";                                      \
1015        create_testsuite_report --maybe-color;                          \
1016        echo "$$col$$br$$std";                                          \
1017        if $$success; then :; else                                      \
1018          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1019          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1020            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1021          fi;                                                           \
1022          echo "$$col$$br$$std";                                        \
1023        fi;                                                             \
1024        $$success || exit 1
1025
1026check-TESTS:
1027        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1028        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1029        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030        @set +e; $(am__set_TESTS_bases); \
1031        log_list=`for i in $$bases; do echo $$i.log; done`; \
1032        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1033        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1034        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1035        exit $$?;
1036recheck: all $(check_PROGRAMS)
1037        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1038        @set +e; $(am__set_TESTS_bases); \
1039        bases=`for i in $$bases; do echo $$i; done \
1040                 | $(am__list_recheck_tests)` || exit 1; \
1041        log_list=`for i in $$bases; do echo $$i.log; done`; \
1042        log_list=`echo $$log_list`; \
1043        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1044                am__force_recheck=am--force-recheck \
1045                TEST_LOGS="$$log_list"; \
1046        exit $$?
1047.test.log:
1048        @p='$<'; \
1049        $(am__set_b); \
1050        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1051        --log-file $$b.log --trs-file $$b.trs \
1052        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1053        "$$tst" $(AM_TESTS_FD_REDIRECT)
1054@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1055@am__EXEEXT_TRUE@       @p='$<'; \
1056@am__EXEEXT_TRUE@       $(am__set_b); \
1057@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1058@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1059@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1060@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1061
1062distdir: $(DISTFILES)
1063        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1064        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1065        list='$(DISTFILES)'; \
1066          dist_files=`for file in $$list; do echo $$file; done | \
1067          sed -e "s|^$$srcdirstrip/||;t" \
1068              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1069        case $$dist_files in \
1070          */*) $(MKDIR_P) `echo "$$dist_files" | \
1071                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1072                           sort -u` ;; \
1073        esac; \
1074        for file in $$dist_files; do \
1075          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1076          if test -d $$d/$$file; then \
1077            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1078            if test -d "$(distdir)/$$file"; then \
1079              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1080            fi; \
1081            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1082              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1083              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1084            fi; \
1085            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1086          else \
1087            test -f "$(distdir)/$$file" \
1088            || cp -p $$d/$$file "$(distdir)/$$file" \
1089            || exit 1; \
1090          fi; \
1091        done
1092check-am: all-am
1093        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1094        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1095check: check-am
1096all-am: Makefile $(PROGRAMS)
1097installdirs:
1098        for dir in "$(DESTDIR)$(libexecdir)"; do \
1099          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1100        done
1101install: install-am
1102install-exec: install-exec-am
1103install-data: install-data-am
1104uninstall: uninstall-am
1105
1106install-am: all-am
1107        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1108
1109installcheck: installcheck-am
1110install-strip:
1111        if test -z '$(STRIP)'; then \
1112          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1113            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1114              install; \
1115        else \
1116          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1117            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1118            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1119        fi
1120mostlyclean-generic:
1121        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1122        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1123        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1124
1125clean-generic:
1126        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1127
1128distclean-generic:
1129        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1130        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1131
1132maintainer-clean-generic:
1133        @echo "This command is intended for maintainers to use"
1134        @echo "it deletes files that may require special tools to rebuild."
1135clean: clean-am
1136
1137clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1138        clean-libtool mostlyclean-am
1139
1140distclean: distclean-am
1141        -rm -rf ./$(DEPDIR)
1142        -rm -f Makefile
1143distclean-am: clean-am distclean-compile distclean-generic \
1144        distclean-tags
1145
1146dvi: dvi-am
1147
1148dvi-am:
1149
1150html: html-am
1151
1152html-am:
1153
1154info: info-am
1155
1156info-am:
1157
1158install-data-am:
1159
1160install-dvi: install-dvi-am
1161
1162install-dvi-am:
1163
1164install-exec-am: install-libexecPROGRAMS
1165
1166install-html: install-html-am
1167
1168install-html-am:
1169
1170install-info: install-info-am
1171
1172install-info-am:
1173
1174install-man:
1175
1176install-pdf: install-pdf-am
1177
1178install-pdf-am:
1179
1180install-ps: install-ps-am
1181
1182install-ps-am:
1183
1184installcheck-am:
1185
1186maintainer-clean: maintainer-clean-am
1187        -rm -rf ./$(DEPDIR)
1188        -rm -f Makefile
1189maintainer-clean-am: distclean-am maintainer-clean-generic
1190
1191mostlyclean: mostlyclean-am
1192
1193mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1194        mostlyclean-libtool
1195
1196pdf: pdf-am
1197
1198pdf-am:
1199
1200ps: ps-am
1201
1202ps-am:
1203
1204uninstall-am: uninstall-libexecPROGRAMS
1205
1206.MAKE: check-am install-am install-strip
1207
1208.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1209        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1210        clean-libtool cscopelist-am ctags ctags-am distclean \
1211        distclean-compile distclean-generic distclean-libtool \
1212        distclean-tags distdir dvi dvi-am html html-am info info-am \
1213        install install-am install-data install-data-am install-dvi \
1214        install-dvi-am install-exec install-exec-am install-html \
1215        install-html-am install-info install-info-am \
1216        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1217        install-ps install-ps-am install-strip installcheck \
1218        installcheck-am installdirs maintainer-clean \
1219        maintainer-clean-generic mostlyclean mostlyclean-compile \
1220        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1221        recheck tags tags-am uninstall uninstall-am \
1222        uninstall-libexecPROGRAMS
1223
1224.PRECIOUS: Makefile
1225
1226
1227$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1228
1229# Tell versions [3.59,3.63) of GNU make to not export all variables.
1230# Otherwise a system limit (for SysV at least) may be exceeded.
1231.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.